#!/bin/bash
#
# $File: //ASP/Dev/SBS/4_Controls/4_1_Control_Room/4_1_3_Operator_Interface/sw/bin/get_broadcast_addr.sh $
# $Revision: #4 $
# $DateTime: 2008/04/10 15:56:23 $
# Last checked in by: $Author: starritt $
#
# Description
# Script for determining machine's TCP/IP broadcast address of
# the first of eth0, eth1, eth2 etc. for use in scripts running
# under wine.
#
# Copyright (c) 2007  Australian Synchrotron
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# Licence as published by the Free Software Foundation; either
# version 2.1 of the Licence, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public Licence for more details.
#
# You should have received a copy of the GNU Lesser General Public
# Licence along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Contact details:
# andrew.starritt@synchrotron.vic.gov.au
# 800 Blackburn Road, Clayton, Victoria 3168, Australia.
#

# Determines the actual broadcast address.
#
# Isolate broadcast address, format is "Bcast:XXX.XXX.XXX.XXX"
#
for item in $( /sbin/ifconfig ) ; do

   addr=$( echo "${item}" | grep Bcast | sed -e "s/Bcast://g" )
   if [ "${addr}" != "" ] ; then
      echo "${addr}"
      break
   fi

done

# end
